### Method

# Gtk SearchEntryset_input_purpose

since: 4.14

#### Declaration [src]

    void
    gtk_search_entry_set_input_purpose (
      GtkSearchEntry* entry,
      GtkInputPurpose purpose
    )

#### Description [src]

Sets the input purpose of `entry`.

Available since: 4.14

Sets property | `Gtk.SearchEntry:input-purpose`

#### Parameters

`purpose`

  Type: `GtkInputPurpose`

  The new input purpose.